Results 1 to 2 of 2

Thread: Metasploit update essential exploits missing

  1. #1
    Join Date
    2015-Oct
    Location
    austria
    Posts
    2

    Metasploit update essential exploits missing

    I have used kali linux 1.0.0a for a long time and doesnt had to make change for a long time. Know my laptop gets broken and i got a new one. I used my live usb stick to install kali 1.0.0a again and went into various problems. i have edited my sources.list to point to the olk kali repo at old.kali.org.

    I recognized, some essential exploits, payloads and stuff are missing and i also cant update it using msfupdate. I've seen a yt video, that says the metasploit-framework (community) is installed but you have to manually add all the required stuff again. Is that true? Also where i have to add it? I tried to download the exploit-db repo from github and put it in my /root/.msf4/modules folder and call them by their full path in msfconsole, without any success.

    I also tried using msfupdate from within the new kali 2.0 live cd (sana repo) without success.

    Please can anyone help me getting metasploit to work as before?

  2. #2
    Join Date
    2013-Apr
    Location
    Kali forums
    Posts
    805
    You can try apt-get purge metasploit-framework to remove MSF. Then, download the framework from Rapid7, and manually install it. I've never had to do that, always used MSF from inside Kali (and BackTrack, before that).

    If you can, I'd upgrade to the latest version of Kali. That would be easiest in the long term.

Similar Threads

  1. Can't Add new exploits to metasploit
    By Alpha-moe in forum TroubleShooting Archive
    Replies: 3
    Last Post: 2016-01-08, 15:35
  2. Metasploit missing payload after update today :(
    By tipoe in forum NetHunter General Questions
    Replies: 4
    Last Post: 2015-05-16, 03:15

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •